API reference
All operations
CONTACT

Adds a new contact to a company.

POST/api/v2/external/contacts

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentialsAPI key

Request body

application/jsonrequired

The contact details.

UpdateContactExternalIdRequest
  • deletedbooleannullable
  • sequenceNumberinteger · int32nullable
  • externalIdstringnullable
  • externalProviderstringnullable
  • modifySourcestringnullable
  • accountNumberstringnullable
  • firstNamestringnullable
  • middleNamestringnullable
  • lastNamestringnullable
  • nickNamestringnullable
  • phonestringnullable
  • cellstringnullable
  • faxstringnullable
  • emailstringnullable
  • titlestringnullable
  • positionstringnullable
  • departmentstringnullable
  • addRecordIfMatchNotFoundbooleannullable

Responses

Contact added successfully.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

dataContactDto
  • contactIdinteger · int32
  • companyIdinteger · int32
  • companyDisplaystring
  • firstNamestring
  • middleNamestring
  • lastNamestring
  • fullNamestring
  • nickNamestring
  • phonestring
  • cellstring
  • faxstring
  • emailstring
  • titlestring
  • positionstring
  • departmentstring
  • deletedboolean
  • activeboolean
  • enteredstring · date-time
  • lastModifiedstring · date-time
  • completeboolean
  • externalIdstring
  • globalUnsubscribeboolean
  • linkedboolean
  • lastTouchUserstring
  • lastTouchDatestring · datenullable